View Issue Details

IDProjectCategoryView StatusLast Update
0002059FreeCADBugpublic2017-01-26 22:09
ReporterrocknAssigned Toickby 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux UbuntuOS14.04OS Version64 bits
Product Version0.15 
Target VersionFixed in Version0.17 
Summary0002059: Changing Angular Deflection and Deviation dont allow user to refresh the model.
DescriptionI'm not sure if it's intended but it seem that changing Angular Deflection and/or Deviation in the view property of an object don't tell to FreeCAD that the document have to be recompute.
It need to change a Data property to this change take effect.
Steps To ReproduceMake a Draft Circle
My default value are
Angular Deflection : 26.5°
Deviation : 0.5%
Change Angular to 1° or Deviation to 0.05%.
No change in the 3d view and the Recompute button is still grayed.
Change the diameter to see the change.
Additional Informationhttp://forum.freecadweb.org/viewtopic.php?f=8&t=10510
TagsNo tags attached.

Activities

Kunda1

2017-01-26 22:09

manager   ~0008003

Fixed by ickby in http://github.com/FreeCAD/FreeCAD/commit/788035b80e5f301cc90503b995243820af9d8b0e

Issue History

Date Modified Username Field Change
2015-04-17 22:43 rockn New Issue
2016-01-19 01:55 yorik Target Version 0.16 =>
2017-01-26 22:09 Kunda1 Note Added: 0008003
2017-01-26 22:09 Kunda1 Status new => closed
2017-01-26 22:09 Kunda1 Assigned To => ickby
2017-01-26 22:09 Kunda1 Resolution open => fixed
2017-01-26 22:09 Kunda1 Fixed in Version => 0.17